Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## javax.jdo.annotations
Annotation Type Query

    @Target(value=TYPE)
    @Retention(value=RUNTIME)
    public @interface Query

Annotation for a named query. Corresponds to the xml element "query".

Since:
  2.1
Version:
  2.1

Required Element Summary
`java.lang.String` | `name` Name of the query (mandatory)
`java.lang.String` | `value` The query string (mandatory)

Optional Element Summary
`Extension[]` | `extensions` Vendor extensions.
`java.lang.String` | `fetchPlan` The name of the fetch plan used by this query
`java.lang.String` | `language` The query language
`java.lang.Class` | `resultClass` Result class into which to put the results.
`java.lang.String` | `unique` Whether the query returns a single unique result.
`java.lang.String` | `unmodifiable` Whether the query is unmodifiable.

Element Detail

### name

    public abstract java.lang.String name

  Name of the query (mandatory)

  Returns:
    the name of the query

### value

    public abstract java.lang.String value

  The query string (mandatory)

  Returns:
    the query string

### language

    public abstract java.lang.String language

  The query language

  Returns:
    the query language
  Default:
    "JDOQL"

### unmodifiable

    public abstract java.lang.String unmodifiable

  Whether the query is unmodifiable.

  Returns:
    whether the query is unmodifiable
  Default:
    ""

### unique

    public abstract java.lang.String unique

  Whether the query returns a single unique result.

  Returns:
    whether the query returns a single unique result
  Default:
    ""

### resultClass

    public abstract java.lang.Class resultClass

  Result class into which to put the results.

  Returns:
    the class of the result
  Default:
    void.class

### fetchPlan

    public abstract java.lang.String fetchPlan

  The name of the fetch plan used by this query

  Returns:
    the fetch plan
  Default:
    ""

### extensions

    public abstract Extension[] extensions

  Vendor extensions.

  Returns:
    the vendor extensions
  Default:
    {}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2005-2011 Apache Software Foundation. All Rights Reserved.